Skip to main content
PATCH
/
v1
/
policies
/
{id}
Update a policy
curl --request PATCH \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/policies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "effect": "allow",
  "priority": 123,
  "agentId": "<string>",
  "principalId": "<string>",
  "scopes": [
    "<string>"
  ],
  "timeOfDayStart": "<string>",
  "timeOfDayEnd": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "effect": "allow",
  "priority": 123,
  "agentId": "<string>",
  "principalId": "<string>",
  "scopes": [
    "<string>"
  ],
  "timeOfDayStart": "<string>",
  "timeOfDayEnd": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Path Parameters

id
string
required

Policy ID

Body

application/json
name
string
effect
enum<string>
Available options:
allow,
deny
priority
integer
agentId
string
principalId
string
scopes
string[]
timeOfDayStart
string
timeOfDayEnd
string

Response

Updated policy

id
string
name
string
effect
enum<string>
Available options:
allow,
deny
priority
integer
agentId
string
principalId
string
scopes
string[]
timeOfDayStart
string
timeOfDayEnd
string
createdAt
string<date-time>
updatedAt
string<date-time>